Subject: Re: Messages are printed on screen

From: Ben Hutchings <[email-masked]>
Date: Fri, 02 Oct 2009 11:56:36 +0100

On Fri, 2009-10-02 at 11:52 +0200, Markus Feldmann wrote:
> Hi All,
> 
> i am setting up my Server, with Linux Debian lenny. Therefore i am using 
>   Kernel 2.6.31.1.

The current kernel version for 'lenny' is 2.6.26 (with stable updates
and other fixes).

2.6.31 is known to have a large number of regressions outstanding, which
is why it is not in Debian yet.

> I configured this Kernel with <make defconfig> and 
> <make menuconfig>. My motherboard has 5 PCI slots and 1 AGP slot. All 
> slots are in use. All devices are mapped to the following IRQ-Line:
> 
> Mass Storage Device (PCI Slot1)	IRQ-Line 11
> Ethernet (PCI Slot 2) 		IRQ-Line 4
> Ethernet (PCI Slot 3) 		IRQ-Line 5
> Ethernet (PCI Slot 4) 		IRQ-Line 7
> Ethernet (PCI Slot 5) 		IRQ-Line 11
> Onboard USB-Controller		IRQ-Line 5
> Onboard USB-Controller		IRQ-Line 4
> Onboard USB-Controller		IRQ-Line 11
> Onboard IDE			IRQ-Line 14
> AGP VGA				IRQ-Line 11
> 
> As you see some of my IRQ-Lines are multiply in use, so my Server is 
> working hard at his limit.

IRQ sharing is normal on PCs without MSI support, but to see where
that's happening you need to look at /proc/interrupts and not the BIOS
setup program or wherever you got the above information from.

This does not result in 'working hard at his limit'.

> The result is sometimes freezing of my 
> Server, especially if there is much processing on these devices. I 
> remember that with Kernel 2.6.18 my system didn't does freezing.

This is simply a bug, not a result of IRQ sharing or 'working hard'.

> So i am trying to reduce the amount of this processing. I still get 
> messages about dropped network packets on my Terminal, although i set up 
> my <rsyslog> to save this only to </var/log>. Here is my 
> </etc/rsyslog.conf>

You forgot to paste it.

> How can i disable the output of messages (about dropped packets from my 
> firewall) to my terminal ?

Edit the value of kernel.printk in /etc/sysctl.conf.

> How can i stabilize my IRQ-System with the kernel 2.6.31.1 ?

I would expect the standard kernel version for 'lenny' or the 2.6.30
kernel from 'sid' to be more stable.

> What debug features should i disable ?

No idea, you didn't even specify what you enabled...

Ben.

-- 
Ben Hutchings
Who are all these weirdos? - David Bowie, about L-Space IRC channel #afp